Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSql.Location

    java.lang.Object
      java.lang.Enum<QSql.Location>
          com.trolltech.qt.sql.QSql.Location

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSql.Location>

Enclosing interface:
  QSql

    public static enum QSql.Location

extends java.lang.Enum<QSql.Location>
implements QtEnumerator

This enum type describes special SQL navigation locations.

Constant | Value | Description
--- | --- | ---
`BeforeFirstRow` | `-1` | Before the first record.
`AfterLastRow` | `-2` | After the last record.

See Also:
  `QSqlQuery::at`

Enum Constant Summary
`AfterLastRow` After the last record.
`BeforeFirstRow` Before the first record.

Method Summary
`static QSql.Location` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSql.Location` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSql.Location[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BeforeFirstRow

    public static final QSql.Location BeforeFirstRow

  Before the first record.

### AfterLastRow

    public static final QSql.Location AfterLastRow

  After the last record.

Method Detail

### values

    public static final QSql.Location[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSql.Location c : QSql.Location.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSql.Location valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSql.Location resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD